//
//  FirstTabViewController.m
//  MikeTeoTutorial
//
//  Created by Michael Teo http://miketeo.net/
//  Use of this file is governed by Creative Commons Attribution-Non Commercial License
//

#import "FirstTabViewController.h"
#import "OnOffTableCell.h"
#import "SliderTableCell.h"

@implementation FirstTabViewController

@synthesize myTableView;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
	if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
		// Initialization code
	}
	return self;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
	return (section == 0) ? 2 : 1;
}


- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
	return 2;
}

- (CGFloat)tableView:(UITableView *)aTableView heightForHeaderInSection:(NSInteger)section {
    return 45.0;
}


- (NSString *)tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section {
	return [NSString stringWithFormat:@"Section %d", section];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
	if (indexPath.section == 0) {
		OnOffTableCell* cell = (OnOffTableCell*)[tableView dequeueReusableCellWithIdentifier:@"OnOffCell"];
		if (cell == nil) {
			CGRect rect;
			rect = CGRectMake(0.0, 0.0, 320.0, 60.0);
			cell = [[[OnOffTableCell alloc] initWithFrame:rect reuseIdentifier:@"OnOffCell"] autorelease];
			cell.title.text = [NSString stringWithFormat:@"Section %d Row %d", indexPath.section, indexPath.row];
			cell.onOffSwitch.on = NO;
			cell.notificationName = [NSString stringWithFormat:@"SwitchForRow%d", indexPath.row];
		}
		return cell;
	} else {
		SliderTableCell* cell = (SliderTableCell*)[tableView dequeueReusableCellWithIdentifier:@"SliderCell"];
		if (cell == nil) {
			CGRect rect;
			rect = CGRectMake(0.0, 0.0, 320.0, 60.0);
			cell = [[[SliderTableCell alloc] initWithFrame:rect reuseIdentifier:@"SliderCell"] autorelease];			
		}
		return cell;
	}
}

/*
 Implement loadView if you want to create a view hierarchy programmatically
- (void)loadView {
}
 */

/*
 If you need to do additional setup after loading the view, override viewDidLoad.
- (void)viewDidLoad {
}
 */


- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	// Return YES for supported orientations
	return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning {
	[super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
	// Release anything that's not essential, such as cached data
}


- (void)dealloc {
	[super dealloc];
}

@end
