//
//  SecondTabViewController.m
//  MikeTeoTutorial
//
//  Created by Michael Teo http://miketeo.net/
//  Use of this file is governed by Creative Commons Attribution-Non Commercial License
//

#import "SecondTabViewController.h"

@implementation SecondTabViewController

@synthesize section0Label0;
@synthesize section0Label1;
@synthesize section1Label0;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
	if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {		
		[[NSNotificationCenter defaultCenter] addObserver:self 
											  selector:@selector(switch0Toggled:) 
											  name:@"SwitchForRow0" 
											  object:nil];
		[[NSNotificationCenter defaultCenter] addObserver:self 
											  selector:@selector(switch1Toggled:) 
											  name:@"SwitchForRow1" 
											  object:nil];
		[[NSNotificationCenter defaultCenter] addObserver:self
											  selector:@selector(sliderChanged:) 
											  name:@"SliderChanged" 
											  object:nil];
	}
	return self;
}

- (void)switch0Toggled:(NSNotification*)notification {
	UISwitch* sw = (UISwitch*)[notification object];
	section0Label0.text = (sw.on ? @"Switch 0 On" : @"Switch 0 Off");
}

- (void)switch1Toggled:(NSNotification*)notification {
	UISwitch* sw = (UISwitch*)[notification object];
	section0Label1.text = (sw.on ? @"Switch 1 On" : @"Switch 1 Off");
}

- (void)sliderChanged:(NSNotification*)notification {
	UISlider* slider = (UISlider*)[notification object];
	section1Label0.text = [NSString stringWithFormat:@"Slider value at %d", 
						            [[NSNumber numberWithFloat:slider.value] intValue]];
}

/*
 Implement loadView if you want to create a view hierarchy programmatically
- (void)loadView {
}
 */

/*
 If you need to do additional setup after loading the view, override viewDidLoad.
- (void)viewDidLoad {
}
 */


- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	// Return YES for supported orientations
	return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning {
	[super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
	// Release anything that's not essential, such as cached data
}


- (void)dealloc {
	[super dealloc];
}

@end
